{% extends 'base.html.twig' %}
{% block header_title %}{{ program.startDate|format_date('none', 'MMMM y', locale='fr')|capitalize }}{% endblock %}
{% block header_subtitle %}
    {% if program.isDraft %}
        <div class="badge badge bg-warning">Brouillon</div>
    {% else %}
        <div class="badge bg-success">Validé</div>
    {% endif %}
{% endblock %}
{% block breadcrumb %}
    <li class="breadcrumb-item active">
        <a href="{{ path('app_meeting_weekend_program_list', {'year': program.startDate|date('Y')}) }}">discours publics {{ program.startDate|date('Y') }}</a>
    </li>
    <li class="breadcrumb-item active">
        <a href="#">{{ program.startDate|format_date('none', 'MMMM y', locale='fr') }}</a>
    </li>
{% endblock %}
{% block head_content %}
    <div class="toggle-wrap nk-block-tools-toggle">
        <a href="#" class="btn btn-icon btn-trigger toggle-expand me-n1" data-target="pageMenu"><em class="icon ni ni-more-v"></em></a>
        <div class="toggle-expand-content" data-content="pageMenu">
            <ul class="nk-block-tools g-3">
                <li class="nk-block-tools-opt d-md-block d-none"><a href="{{ path('app_meeting_weekend_program_export', {'id': program.id}) }}" class="btn btn-secondary" ><em class="icon ni ni-download"></em><span>Exporter en pdf</span></a></li>
                <li class="nk-block-tools-opt"><a href="{{ path('app_meeting_weekend_program_edit', {'id': program.id}) }}" class="btn btn-warning" ><em class="icon ni ni-edit-fill"></em><span>Modifier</span></a></li>
                <li class="nk-block-tools-opt"><a href="{{ path('app_meeting_weekend_program_delete', {'id': program.id}) }}" class="btn btn-danger" ><em class="icon ni ni-trash-fill"></em><span>Supprimer</span></a></li>
            </ul>
        </div>
    </div>
{% endblock %}
{% block body %}

    {% for message in app.flashes('success') %}
        <div class="alert alert-fill alert-icon alert-success alert-dismissible">
            <em class="icon ni ni-check-circle-fill"></em>
            {{ message }}
        </div>
    {% endfor %}

    <div class="col-xxl-5 col-sm-12 col-md-10 col-lg-6">
        {% for weekend in program.weekends %}
            <div class="card">
                <div class="card-inner">
                    <h6 class="card-title"><em class="ni ni-calendar-alt"></em> {{ weekend.date|date('d.m') }}</h6>
                    <div class="card-infos">
                        <ul>
                            {% if weekend.category.isSpeechEnabled %}
                                {% if weekend.speech %}
                                    <li><strong class="text-indigo">{{ weekend.speech.title }} {% if weekend.speech.number %}({{ weekend.speech.number }}) {% endif %}</strong></li>
                                    {% else %}
                                    <li><em>Thème non communiqué</em></li>
                                {% endif %}

                            {% else %}
                                <li class="text-danger">{{ weekend.category.name }}</li>
                            {% endif %}

                            {% if weekend.category.isSpeakerEnabled %}
                                <li><b>Orateur</b> : {{ weekend.speaker }}</li>
                            {% endif %}
                            {% if weekend.category.isExternalSpeakerEnabled %}
                                <li><b>Orateur</b> : {{ weekend.externalSpeaker }}</li>
                            {% endif %}

                            {% if weekend.category.isChairmanEnabled %}
                                <li><b>Président</b> : {{ weekend.chairman }}</li>
                            {% endif %}

                            {% if weekend.category.isReaderEnabled %}
                                <li><b>Lecteur</b> : {{ weekend.reader }}</li>
                            {% endif %}
                        </ul>
                    </div>
                </div>
            </div>
        {% endfor %}
        <div class="card-inner-sm border-top text-center d-sm-none"><a href="{{ path('app_meeting_weekend_program_export', {'id': program.id}) }}" class="btn btn-link btn-block"><em class="icon ni ni-download"></em> Exporter en pdf</a></div>
    </div>
{% endblock %}
